
current_customers = []

def open_account_hook():
    global current_customers
    c = str(gdb.parse_and_eval('c'))
    if c in current_customers:
        print "error: account initialized twice"
    else:
        print "(info) %s opens an account" % c
        current_customers.append(c)
        gdb.execute("continue")

def pay_hook():
    global current_customers
    f = str(gdb.parse_and_eval('from'))
    t = str(gdb.parse_and_eval('to'))
    if not f in current_customers:
        print "error: %s tries to pay before opening an account" % f
    elif not t in current_customers:
        print "error: %s cannot be payed before opening an account" % t
    else:
        cash = str(gdb.parse_and_eval('cash'))
        print "(info) %s gives %s %s$" % (f, t, cash)
        gdb.execute("continue")
