package body Accounts is

   type Account is limited record
      Balance : Integer;
   end record;

   Bank : array (Customer) of Account;

   procedure Open_Account (C : Customer; Cash : Integer) is
   begin
      Bank (C).Balance := Cash;
   end Open_Account;

   procedure Pay (From, To : Customer; Cash : Integer) is
   begin
      Bank (To).Balance := Bank (To).Balance + Cash;
      Bank (From).Balance := Bank (From).Balance - Cash;
   end Pay;

   --  At elaboration time, a suspicious operation is scheduled;
   --  Alice secretly pays a bribe to Bob:

begin
   Pay (From => Alice, To => Bob, Cash => 20);
end Accounts;
